<template>
  <h1>Press Enter to {{ nextState === 'game' ? 'start the game' : 'continue' }}</h1>
</template>

<script>
export default {
  props: {
    nextState: {
      type: String,
      required: true
    }
  },
  mounted() {
    document.addEventListener('keypress', this.onKeyPress)
  },
  beforeDestroy() {
    document.removeEventListener('keypress', this.onKeyPress)
  },
  methods: {
    onKeyPress(event) {
      if (event.key === 'Enter') {
        this.$router.push({ name: this.nextState })
      }
    }
  }
}
</script>

<style scoped>
h1 {
  padding-top: 2rem;
  text-align: center;
}
</style>
